Subject: cygwin + Apache "out of the box": dlopen: Win32 error 126
From: "Javier" <[email-masked]>
To: [email-masked]
Date: Fri, 29 Nov 2002 21:53:26 +0100

Hi, all!!

I've just re-installed cygwin after a clean install of W2K.
I'm trying to get a working system as close as possible to the one I had
before, so I installed Cygwin, and the apache and mod_php... and when
I've tried to get apache to run, I get:

Cygwin> /usr/sbin/apachectl start
Syntax error on line 237 of /etc/apache/httpd.conf:
Cannot load /usr/lib/apache/libphp4.dll into server: dlopen: Win32 error
126
/usr/sbin/apachectl start: httpd could not be started

error 126 means something like "file not found"... but I have _no_ clue
as to what .dll or file it's missing!!

The _strangest_ thing is that running "Dependency walker" on my
(**working**) old system against libphp4.dll and libssl.php (both will
throw the same mistake when trying to run apache), and I get a bunch of
unresolved dependencies!!:

in libphp4.dll:
CYGBZ21.0.DLL
CYGCRYPTO.DLL
CYGHTTPD.DLL
CYGINTL-1.DLL
CYGWIN1.DLL
CYGXML2-2.DLL
CYGZ.DLL
PQ.DLL

There are a couple more deps,
KERNEL32.DLL
LIBPHP4.DLL
NTDLL.DLL

which _are_ resolved.

in libssl.dll:
CYGCRYPTO.DLL
CYGGDBM.DLL
CYGHTTPD.DLL
CYGSSL.DLL
CYGWIN1.DLL

Again, these deps are OK:
KERNEL32.DLL
LIBSSL.DLL
NTDLL.DLL

So, I have to admit I'm feeling more than a little lost... _any_ help
would be greatly appreciated.

Thanks!!

    Javier

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/